using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Finance
{
    /// <summary>
    /// 单据类型
    /// </summary>
    public enum ReceiptTypeEnum
    {
        /// <summary>
        /// 调课
        /// </summary>
        [EnumField("调课")]
        ChangeClass = 1,

        /// <summary>
        /// 退课
        /// </summary>
        [EnumField("退课")]
        BackClass = 2,
        /// <summary>
        /// 停课
        /// </summary>
        [EnumField("停课")]
        StopClass = 3,
        /// <summary>
        /// 临时上课邀请
        /// </summary>
        [EnumField("临时上课邀请")]
        InvitationClass = 4,

        /// <summary>
        /// 订单转班
        /// </summary>
        [EnumField("订单转班")]
        OrderTransClass = 5,

        /// <summary>
        /// 订单分拆
        /// </summary>
        [EnumField("订单分拆")]
        OrderSplitClass = 6,
        /// <summary>
        /// 学生请假
        /// </summary>
        [EnumField("学生请假")]
        LeaveClass = 7,
        /// <summary>
        /// 组卷审批
        /// </summary>
        [EnumField("组卷审批")]
        ZuJuan = 8,
        /// <summary>
        /// 考试申请
        /// </summary>
        [EnumField("考试申请")]
        ExamApply = 9,
        /// <summary>
        /// 投稿审批
        /// </summary>
        [EnumField("投稿审批")]
        Contribute = 10
    }
}
